POST api/sync/cronofycallback/{negotiatorId}/{uniqueIdentifier}
Forces a call to get updates from Cronofy for the rezi calendar Processes this sync API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| negotiatorId |
The unique identifier of the negotiator resource. |
integer |
Required |
| uniqueIdentifier |
The unique identifier value supplied with the request. |
string |
Required |
Body Parameters
The notification data contract supplied with the request.
NotificationDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| notification |
The notification value. |
ChangeTypeDataContract |
None. |
| channel |
The channel value. |
ChannelDataContract |
None. |
Request Formats
application/x-www-form-urlencoded
Sample:
Sample not available.
application/json, text/json
Sample:
{
"notification": {
"type": "sample string 1",
"changes_since": "2026-07-23T10:33:56.5271838Z"
},
"channel": {
"channel_id": "sample string 1",
"callback_url": "sample string 2"
}
}
Response Information
Resource Description
The response returned after the operation completes.
JobInvocationDetailsDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| SupportsCancellation |
Indicates whether supports cancellation is true. |
boolean |
None. |
| ReportsProgress |
Indicates whether reports progress is true. |
boolean |
None. |
| InitialStatusText |
The initial status text value. |
string |
None. |
| JobReference |
The job reference globally unique identifier. |
globally unique identifier |
None. |
| Success |
Indicates whether success is true. |
boolean |
None. |
Response Formats
application/json, text/json
Sample:
{
"SupportsCancellation": true,
"ReportsProgress": true,
"InitialStatusText": "sample string 3",
"JobReference": "56747052-9326-46e2-8659-598dff1bc423",
"Success": true
}